version: '3.8'

services:
  python:
    build:
      context: ..
      dockerfile: docker/python/Dockerfile
    volumes:
      - ..:/app
    environment:
      - PYTHONPATH=/app
      - POSTGRES_DB=rogdb
      - POSTGRES_USER=admin
      - POSTGRES_PASSWORD=admin123456
      - POSTGRES_HOST=localhost
      - POSTGRES_PORT=5432
    network_mode: "host"
    tty: true
    container_name: python_container  # コンテナ名を明示的に指定

